## aircrack-ng 0.6.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC              = gcc
-CFLAGS          = -g -W -Wall -O3
+CFLAGS          ?= -g -W -Wall -O3
 OPTFLAGS        = -D_FILE_OFFSET_BITS=64
 
 iCC             = /opt/intel/cc/9.0/bin/icc
@@ -15,20 +15,22 @@
 datadir         = $(prefix)/share
 docdir          = $(datadir)/doc/aircrack-ng
 
-BINFILES        = aircrack-ng airdecap-ng arpforge-ng ivstools kstats
+BINFILES        = aircrack-ng airdecap-ng packetforge-ng ivstools kstats
 SBINFILES       = aireplay-ng airodump-ng
 SCRIPTS         = airmon-ng
 TESTFILES       = makeivs
 OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt aircrack-ng-opt-prof prof/*
 DOCFILES        = ChangeLog INSTALL README LICENSE AUTHORS VERSION
 
+default:all
 
-all: aircrack-ng airdecap-ng arpforge-ng aireplay-ng airodump-ng ivstools kstats test
+all: aircrack-ng airdecap-ng packetforge-ng aireplay-ng airodump-ng ivstools kstats makeivs
 
 aircrack-ng-opt: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
 	$(iCC) $(iCFLAGS) $(iOPTFLAGS) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng-opt -lpthread
 
 aircrack-ng-opt-prof_gen: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
+	mkdir -p prof
 	$(iCC) $(iCFLAGS) $(iOPTFLAGS) -prof_genx -DDO_PGO_DUMP -prof_dir$(PROF_DIR) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng-opt-prof_gen -lpthread
 
 aircrack-ng-opt-prof_use: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
@@ -37,14 +39,14 @@
 aircrack-ng: src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c
 	$(CC) $(CFLAGS) $(OPTFLAGS) src/aircrack-ng.c src/crypto.c src/sha1-mmx.S src/common.c -o aircrack-ng -lpthread
 
-airdecap-ng: src/airdecap-ng.c src/crypto.c src/common.c
-	$(CC) $(CFLAGS) $(OPTFLAGS) src/airdecap-ng.c src/crypto.c src/common.c -o airdecap-ng
+airdecap-ng: src/airdecap-ng.c src/crypto.c src/common.c src/crc.c
+	$(CC) $(CFLAGS) $(OPTFLAGS) src/airdecap-ng.c src/crypto.c src/common.c src/crc.c -o airdecap-ng
 
-arpforge-ng: src/arpforge-ng.c src/common.c
-	$(CC) $(CFLAGS) $(OPTFLAGS) src/arpforge-ng.c src/common.c -o arpforge-ng
+packetforge-ng: src/packetforge-ng.c src/common.c src/crc.c
+	$(CC) $(CFLAGS) $(OPTFLAGS) src/packetforge-ng.c src/common.c src/crc.c -o packetforge-ng
 
-aireplay-ng: src/aireplay-ng.c src/common.c
-	$(CC) $(CFLAGS) $(OPTFLAGS) src/aireplay-ng.c src/common.c -o aireplay-ng
+aireplay-ng: src/aireplay-ng.c src/common.c src/crc.c
+	$(CC) $(CFLAGS) $(OPTFLAGS) src/aireplay-ng.c src/common.c src/crc.c -o aireplay-ng
 
 airodump-ng: src/airodump-ng.c src/common.c
 	$(CC) $(CFLAGS) $(OPTFLAGS) src/airodump-ng.c src/common.c -o airodump-ng
@@ -58,8 +60,6 @@
 kstats: src/kstats.c
 	$(CC) $(CFLAGS) $(OPTFLAGS) src/kstats.c  -o kstats
 
-test: makeivs
-
 makeivs: test/makeivs.c
 	$(CC) $(CFLAGS) $(OPTFLAGS) test/makeivs.c -o makeivs
 
@@ -69,6 +69,7 @@
 install:
 	install -d $(destdir)$(bindir)
 	install -m 755 $(BINFILES) $(destdir)$(bindir)
+	install -m 755 $(TESTFILES) $(destdir)$(bindir)
 	install -d $(destdir)$(sbindir)
 	install -m 755 $(SBINFILES) $(destdir)$(sbindir)
 	install -m 755 $(SCRIPTS) $(destdir)$(sbindir)
@@ -80,7 +81,7 @@
 	rm -f $(destdir)$(bindir)/airodump-ng
 	rm -f $(destdir)$(bindir)/airdecap-ng
 	rm -f $(destdir)$(bindir)/arpforge
-	rm -f $(destdir)$(bindir)/arpforge-ng
+	rm -f $(destdir)$(bindir)/packetforge-ng
 	rm -f $(destdir)$(bindir)/aireplay-ng
 	rm -f $(destdir)$(bindir)/airmon.sh
 	rm -f $(destdir)$(bindir)/mergeivs
