=== test/Makefile ===
ROOT		= ..
include $(ROOT)/common.mak

all:

clean:

strip:

distclean: clean

install: all

uninstall:
