=== src/Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
-ROOT		= ..
-include $(ROOT)/common.mak
+AC_ROOT		= ..
+LIBPCAP		=
+include $(AC_ROOT)/common.mak
+
 
 CFLAGS		+= -Iinclude
 
-iCC             = /opt/intel/cc/9.0/bin/icc
+iCC             = $(shell find /opt/intel/cc/*/bin/icc)
 iCFLAGS         = -w -mcpu=pentiumpro -march=pentiumpro $(COMMON_CFLAGS)
 iOPTFLAGS       = -O3 -ip -ipo -D_FILE_OFFSET_BITS=64
 PROF_DIR	= $(PWD)/prof
@@ -12,22 +14,18 @@
 		  ivstools$(EXE) kstats$(EXE) buddy-ng$(EXE) makeivs-ng$(EXE)
 ifeq ($(SQLITE), true)
 BINFILES	+= airolib-ng$(EXE)
-endif
-
-ifeq ($(sqlite), true)
+else ifeq ($(sqlite), true)
+BINFILES        += airolib-ng$(EXE)
+else ifeq ($(SQLITE), TRUE)
+BINFILES        += airolib-ng$(EXE)
+else ifeq ($(sqlite), TRUE)
 BINFILES        += airolib-ng$(EXE)
 endif
 
-ifeq ($(SQLITE), TRUE)
-BINFILES        += airolib-ng$(EXE)
-endif
-
-ifeq ($(sqlite), TRUE)
-BINFILES        += airolib-ng$(EXE)
-endif
+LIBPCAP		=
 
 SBINFILES       = aireplay-ng$(EXE) airodump-ng$(EXE) airserv-ng$(EXE) \
-		  airtun-ng$(EXE) wesside-ng$(EXE) easside-ng$(EXE)
+		  airtun-ng$(EXE) wesside-ng$(EXE) easside-ng$(EXE) airbase-ng$(EXE)
 OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt \
 		  aircrack-ng-opt-prof prof/*
 
@@ -48,30 +46,25 @@
 OBJS_ES		= easside-ng.o common.o
 OBJS_BUDDY	= buddy-ng.o common.o
 OBJS_MI		= makeivs-ng.o common.o uniqueiv.o
+OBJS_AB		= airbase-ng.o common.o crypto.o
 
 
 OSD		= osdep
-LIBS		= -L$(OSD) -l$(OSD) $(LDFLAGS)
+LIBS		= -L$(OSD) -l$(OSD) $(LIBPCAP) $(LDFLAGS)
 ifeq ($(OSNAME), cygwin)
 LIBS		+= -liphlpapi -lsetupapi -luuid
 endif
 LIBOSD		= $(OSD)/lib$(OSD).a
 
 LIBSSL		= -lssl -lcrypto $(LDFLAGS)
-LIBSQL		= 
+LIBSQL		=
 ifeq ($(SQLITE), true)
 LIBSQL		= -L/usr/local/lib -lsqlite3
-endif
-
-ifeq ($(sqlite), true)
+else ifeq ($(sqlite), true)
 LIBSQL          = -L/usr/local/lib -lsqlite3
-endif
-
-ifeq ($(SQLITE), TRUE)
+else ifeq ($(SQLITE), TRUE)
 LIBSQL          = -L/usr/local/lib -lsqlite3
-endif
-
-ifeq ($(sqlite), TRUE)
+else ifeq ($(sqlite), TRUE)
 LIBSQL          = -L/usr/local/lib -lsqlite3
 endif
 
@@ -117,7 +110,7 @@
 	$(CC) $(CFLAGS) $(OBJS_ADU) -o $(@) $(LIBS) $(LIBSSL)
 
 airserv-ng$(EXE): $(OBJS_AS) $(LIBOSD)
-	$(CC) $(CFLAGS) $(OBJS_AS) -o $(@) $(LIBS)
+	$(CC) $(CFLAGS) $(OBJS_AS) -o $(@) $(LIBS) $(LIBPCAP)
 
 airtun-ng$(EXE): $(OBJS_AT) $(LIBOSD)
 	$(CC) $(CFLAGS) $(OBJS_AT) -o $(@) $(LIBS) $(LIBSSL)
@@ -143,6 +136,9 @@
 airolib-ng$(EXE): $(OBJS_AL)
 	$(CC) $(CFLAGS) $(OBJS_AL) -o $(@) $(LIBSSL) -DHAVE_REGEXP $(LIBSQL)
 
+airbase-ng$(EXE): $(OBJS_AB) $(LIBOSD)
+	$(CC) $(CFLAGS) $(OBJS_AB) -o $(@) $(LIBS) $(LIBSSL) -lpthread
+
 strip: $(BINFILES) $(SBINFILES)
 	strip $(BINFILES) $(SBINFILES)
 
@@ -154,23 +150,24 @@
 
 install: all
 	$(MAKE) -C $(OSD) install
-	install -d $(bindir)
-	install -m 755 $(BINFILES) $(bindir)
-	install -d $(sbindir)
-	install -m 755 $(SBINFILES) $(sbindir)
+	install -d $(DESTDIR)$(bindir)
+	install -m 755 $(BINFILES) $(DESTDIR)$(bindir)
+	install -d $(DESTDIR)$(sbindir)
+	install -m 755 $(SBINFILES) $(DESTDIR)$(sbindir)
 
 uninstall:
 	$(MAKE) -C $(OSD) uninstall
-	-rm -f $(bindir)/aircrack-ng$(EXE)
-	-rm -f $(bindir)/airdecap-ng$(EXE)
-	-rm -f $(bindir)/packetforge-ng$(EXE)
-	-rm -f $(bindir)/airolib-ng$(EXE)
-	-rm -f $(bindir)/ivstools$(EXE)
-	-rm -f $(bindir)/kstats$(EXE)
-	-rm -f $(bindir)/buddy-ng$(EXE)
-	-rm -f $(sbindir)/airodump-ng$(EXE)
-	-rm -f $(sbindir)/airserv-ng$(EXE)
-	-rm -f $(sbindir)/airtun-ng$(EXE)
-	-rm -f $(sbindir)/aireplay-ng$(EXE)
-	-rm -f $(sbindir)/wesside-ng$(EXE)
-	-rm -f $(sbindir)/easside-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/aircrack-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/airdecap-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/packetforge-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/airolib-ng$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/ivstools$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/kstats$(EXE)
+	-rm -f $(DESTDIR)$(bindir)/buddy-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airodump-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airserv-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airtun-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/aireplay-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/wesside-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/easside-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airbase-ng$(EXE)
