=== src/osdep/Makefile ===
--- 
+++ 
@@ -1,18 +1,28 @@
-ROOT	= ../..
-include $(ROOT)/common.mak
+AC_ROOT	= ../..
+include $(AC_ROOT)/common.mak
 
-LIB		= libosdep.a
-CFLAGS		+= $(PIC) -I..
+LIB		= libosdep.a 
+CFLAGS		+= $(PIC) -I.. $(LIBAIRPCAP)
 
 OBJS_NET	= network.o
 OBJS		= osdep.o $(OBJS_NET)
 
+#AIRPCAP_DIR	= airpcap
+OBJS_APCAP	= airpcap.o
+
 OBJS_OBSD	= $(OBJS) openbsd.o openbsd_tap.o
 OBJS_NBSD	= $(OBJS) netbsd.o netbsd_tap.o
 OBJS_FBSD	= $(OBJS) freebsd.o freebsd_tap.o
-OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap-parser.o
+OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap-parser.o common.o
 OBJS_DUMMY	= $(OBJS) dummy.o dummy_tap.o
 OBJS_CYGWIN	= $(OBJS) cygwin.o cygwin_tap.o
+
+# XXX make it a DLL, without polluting cygwin.c
+DOPCAP		=
+ifeq ($(AIRPCAP), true)
+OBJS_CYGWIN    += $(OBJS_APCAP)
+DOPCAP		= $(AR) x $(AC_ROOT)/../developers/Airpcap_Devpack/lib/libairpcap.a
+endif
 
 all:
 	@echo Building for $(OSNAME)
@@ -43,9 +53,10 @@
 	$(RANLIB) $(LIB)
 	touch $(@)
 
-.os.cygwin: $(OBJS_CYGWIN)
-	$(AR) cru $(LIB) $(OBJS_CYGWIN)
-	$(RANLIB) $(LIB)
+.os.cygwin: $(OBJS_CYGWIN) 
+	$(DOPCAP)
+	$(AR) cru $(LIB) *.o
+	$(RANLIB) $(LIB) 
 	touch $(@)
 
 .os.%: .os.dummy
