## aircrack-ng 1.0

=== src/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 LIBPCAP		=
 include $(AC_ROOT)/common.mak
 
+TEST_DIR	= $(AC_ROOT)/test
 
 CFLAGS		+= -Iinclude
 
@@ -11,33 +12,70 @@
 PROF_DIR	= $(PWD)/prof
 
 BINFILES        = aircrack-ng$(EXE) airdecap-ng$(EXE) packetforge-ng$(EXE) \
-		  ivstools$(EXE) kstats$(EXE) buddy-ng$(EXE) makeivs-ng$(EXE)
+		  ivstools$(EXE) kstats$(EXE) makeivs-ng$(EXE) \
+		  airdecloak-ng$(EXE)
+
 ifeq ($(SQLITE), true)
-BINFILES	+= airolib-ng$(EXE)
-else ifeq ($(sqlite), true)
-BINFILES        += airolib-ng$(EXE)
-else ifeq ($(SQLITE), TRUE)
-BINFILES        += airolib-ng$(EXE)
-else ifeq ($(sqlite), TRUE)
-BINFILES        += airolib-ng$(EXE)
-endif
+	BINFILES	+= airolib-ng$(EXE)
+else
+	ifeq ($(sqlite), true)
+		BINFILES        += airolib-ng$(EXE)
+	else
+		ifeq ($(SQLITE), TRUE)
+			BINFILES        += airolib-ng$(EXE)
+		else
+			ifeq ($(sqlite), TRUE)
+				BINFILES        += airolib-ng$(EXE)
+			endif
+		endif
+	endif
+endif
+
 
 LIBPCAP		=
 
 SBINFILES       = aireplay-ng$(EXE) airodump-ng$(EXE) airserv-ng$(EXE) \
-		  airtun-ng$(EXE) wesside-ng$(EXE) easside-ng$(EXE) airbase-ng$(EXE)
+		  airtun-ng$(EXE) airbase-ng$(EXE)
+		  
 OPTFILES	= aircrack-ng-opt-prof_gen aircrack-ng-opt \
 		  aircrack-ng-opt-prof prof/*
+
+
+
+ifeq ($(UNSTABLE), true)
+	SBINFILES	+= wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
+	BINFILES	+= buddy-ng$(EXE)
+else
+	ifeq ($(unstable), true)
+		SBINFILES       += wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
+		BINFILES	+= buddy-ng$(EXE)
+	else
+		ifeq ($(UNSTABLE), TRUE)
+			SBINFILES       += wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
+			BINFILES	+= buddy-ng$(EXE)
+		else
+			ifeq ($(unstable), TRUE)
+				SBINFILES       += wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE)
+				BINFILES	+= buddy-ng$(EXE)
+			endif
+		endif
+	endif
+endif
+
 
 SRC_PTW		= aircrack-ptw-lib.c
 SRC_AC		= aircrack-ng.c crypto.c common.c $(SRC_PTW)
 OBJS_PTW	= aircrack-ptw-lib.o
 OBJS_AC		= aircrack-ng.o crypto.o common.o uniqueiv.o $(OBJS_PTW)
+ASM_AC		= sha1-sse2.S
 
 OBJS_AD		= airdecap-ng.o crypto.o common.o
 OBJS_PF		= packetforge-ng.o common.o crypto.o
 OBJS_AR		= aireplay-ng.o common.o crypto.o
 OBJS_ADU	= airodump-ng.o common.o crypto.o uniqueiv.o
+ifneq ($(OSNAME), Linux)
+	OBJS_ADU	+= osdep/common.o
+endif
 OBJS_AT		= airtun-ng.o common.o crypto.o
 OBJS_IV		= ivstools.o common.o crypto.o uniqueiv.o
 OBJS_AS		= airserv-ng.o common.o
@@ -47,6 +85,8 @@
 OBJS_BUDDY	= buddy-ng.o common.o
 OBJS_MI		= makeivs-ng.o common.o uniqueiv.o
 OBJS_AB		= airbase-ng.o common.o crypto.o
+OBJS_AU		= airdecloak-ng.o common.o osdep/radiotap/radiotap-parser.o
+OBJS_TT		= tkiptun-ng.o common.o crypto.o
 
 
 OSD		= osdep
@@ -59,15 +99,20 @@
 LIBSSL		= -lssl -lcrypto $(LDFLAGS)
 LIBSQL		=
 ifeq ($(SQLITE), true)
-LIBSQL		= -L/usr/local/lib -lsqlite3
-else ifeq ($(sqlite), true)
-LIBSQL          = -L/usr/local/lib -lsqlite3
-else ifeq ($(SQLITE), TRUE)
-LIBSQL          = -L/usr/local/lib -lsqlite3
-else ifeq ($(sqlite), TRUE)
-LIBSQL          = -L/usr/local/lib -lsqlite3
-endif
-
+	LIBSQL		= -L/usr/local/lib -lsqlite3
+else
+	ifeq ($(sqlite), true)
+		LIBSQL          = -L/usr/local/lib -lsqlite3
+	else
+		ifeq ($(SQLITE), TRUE)
+			LIBSQL          = -L/usr/local/lib -lsqlite3
+		else
+			ifeq ($(sqlite), TRUE)
+				LIBSQL          = -L/usr/local/lib -lsqlite3
+			endif
+		endif
+	endif
+endif
 
 all: osd userland $(SBINFILES)
 
@@ -80,22 +125,22 @@
 	$(MAKE) -C $(OSD)
 
 aircrack-ng-opt: $(SRC_AC)
-	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) $(SRC_AC) $(LIBSSL) \
+	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) $(SRC_AC) $(ASM_AC) $(LIBSSL) \
 	uniqueiv.o -o aircrack-ng-opt -lpthread $(LIBSQL)
 
 aircrack-ng-opt-prof_gen: $(SRC_AC)
 	mkdir -p prof
 	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) -prof_genx -DDO_PGO_DUMP \
-	-prof_dir$(PROF_DIR) $(SRC_AC) $(LIBSSL) uniqueiv.o -o \
+	-prof_dir$(PROF_DIR) $(SRC_AC) $(ASM_AC) $(LIBSSL) uniqueiv.o -o \
 	aircrack-ng-opt-prof_gen -lpthread $(LIBSQL)
 
 aircrack-ng-opt-prof_use: $(SRC_AC)
 	$(iCC) $(iCFLAGS) $(iOPTFLAGS) $(REVFLAGS) -prof_use \
-	-prof_dir$(PROF_DIR) $(SRC_AC) $(LIBSSL) uniqueiv.o -o \
+	-prof_dir$(PROF_DIR) $(SRC_AC) $(ASM_AC) $(LIBSSL) uniqueiv.o -o \
 	aircrack-ng-opt-prof -lpthread $(LIBSQL)
 
 aircrack-ng$(EXE): $(OBJS_AC)
-	$(CC) $(CFLAGS) $(OBJS_AC) -o $(@) -lpthread $(LIBSSL) $(LIBSQL)
+	$(CC) $(CFLAGS) $(OBJS_AC) $(ASM_AC) -o $(@) -lpthread $(LIBSSL) $(LIBSQL)
 
 airdecap-ng$(EXE): $(OBJS_AD)
 	$(CC) $(CFLAGS) $(OBJS_AD) -o $(@) $(LIBSSL)
@@ -139,12 +184,18 @@
 airbase-ng$(EXE): $(OBJS_AB) $(LIBOSD)
 	$(CC) $(CFLAGS) $(OBJS_AB) -o $(@) $(LIBS) $(LIBSSL) -lpthread
 
+airdecloak-ng$(EXE): $(OBJS_AU)
+	$(CC) $(CFLAGS) $(OBJS_AU) -o $(@)
+
+tkiptun-ng$(EXE): $(OBJS_TT) $(LIBOSD)
+	$(CC) $(CFLAGS) $(OBJS_TT) -o $(@) $(LIBS) $(LIBSSL)
+
 strip: $(BINFILES) $(SBINFILES)
 	strip $(BINFILES) $(SBINFILES)
 
 clean:
 	$(MAKE) -C $(OSD) clean
-	-rm -f $(SBINFILES) $(BINFILES) $(OPTFILES) airolib-ng$(EXE) *.o
+	-rm -f $(SBINFILES) $(BINFILES) $(OPTFILES) airolib-ng$(EXE) *.o wesside-ng$(EXE) tkiptun-ng$(EXE) easside-ng$(EXE) buddy-ng$(EXE)
 
 distclean: clean
 
@@ -171,3 +222,9 @@
 	-rm -f $(DESTDIR)$(sbindir)/wesside-ng$(EXE)
 	-rm -f $(DESTDIR)$(sbindir)/easside-ng$(EXE)
 	-rm -f $(DESTDIR)$(sbindir)/airbase-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/airuncloak-ng$(EXE)
+	-rm -f $(DESTDIR)$(sbindir)/tkiptun-ng$(EXE)
+
+check: aircrack-ng$(EXE)
+	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e Harkonen -q $(TEST_DIR)/wpa2.eapol.cap | grep 'KEY FOUND! \[ 12345678 \]' 
+	./aircrack-ng$(EXE) -w $(TEST_DIR)/password.lst -a 2 -e test -q $(TEST_DIR)/wpa.cap | grep 'KEY FOUND! \[ biscotte \]'
