=== src/osdep/Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 AC_ROOT	= ../..
 include $(AC_ROOT)/common.mak
+
+RTAP		= radiotap
 
 LIB		= libosdep.a 
 CFLAGS		+= $(PIC) -I.. $(LIBAIRPCAP)
@@ -13,7 +15,7 @@
 OBJS_OBSD	= $(OBJS) openbsd.o openbsd_tap.o
 OBJS_NBSD	= $(OBJS) netbsd.o netbsd_tap.o
 OBJS_FBSD	= $(OBJS) freebsd.o freebsd_tap.o
-OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap-parser.o common.o
+OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap/radiotap-parser.o common.o
 OBJS_DUMMY	= $(OBJS) dummy.o dummy_tap.o
 OBJS_CYGWIN	= $(OBJS) cygwin.o cygwin_tap.o
 
@@ -60,12 +62,13 @@
 	touch $(@)
 
 .os.%: .os.dummy
-	@echo "Your platform is unsupported"
+	@echo "Your platform is unsupported by osdep, dummy code compiled."
 	touch $(@)
 
 install: all
 
 uninstall:
 
-clean:
+clean: 
+	$(MAKE) -C $(RTAP) clean
 	rm -f $(LIB) *.o .os.*
