=== scripts/airoscript/doc/tools/Makefile ===
install: 
	@echo -e "\t Installing tools documentation" 
	@$(INSTALLDATA) * $(docdir)/tools 
uninstall: 
	@echo "Removing tools documentation from $(docdir)/tools" 
	@rm -r $(docdir)/tools
