=== src/osdep/Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap/radiotap-parser.o common.o
 OBJS_DUMMY	= $(OBJS) dummy.o dummy_tap.o
 OBJS_CYGWIN	= $(OBJS) cygwin.o cygwin_tap.o
+OBJS_DARWIN = $(OBJS) darwin.o darwin_tap.o
 
 # XXX make it a DLL, without polluting cygwin.c
 DOPCAP		=
@@ -61,6 +62,12 @@
 	$(RANLIB) $(LIB) 
 	touch $(@)
 
+.os.Darwin: $(OBJS_DARWIN) 
+	$(DOPCAP)
+	$(AR) cru $(LIB) *.o
+	$(RANLIB) $(LIB) 
+	touch $(@)
+
 .os.%: .os.dummy
 	@echo "Your platform is unsupported by osdep, dummy code compiled."
 	touch $(@)
