=== debian/changelog ===
aircrack-ng (1:1.1-6) unstable; urgency=low

  * Remove unused Build-Depends on obsolete libnl-dev (Closes: #688158)
  * Add 019-fix-spelling-manpages.diff (Closes: #697346)
  * Add 020-ignore-negative-one.diff (Adds an option "ignore-negative-one"
    to workaround broken channel handling)
  * Add 021-fix-airodump-ng-oui-update.diff (Recently the oui file included
    some leading spaces that makes it not recognizable by airodump-ng. Fix it)
  * Update airodump-ng-oui.txt file

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 08 Jun 2013 20:54:58 +0200

aircrack-ng (1:1.1-5) unstable; urgency=low

  * Add 018-workaround-681113-kfreebsd.diff (Really closes: #642698)

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 28 Jul 2012 01:41:14 +0200

aircrack-ng (1:1.1-4) unstable; urgency=low

  * Rewrote 007-Add-support-for-GnuTLS.patch to 011-add-support-for-gcrypt.diff
    * Removed build-dependency on GnuTLS, now we only build-depend on Libgcrypt
    * Added missing build-depend on zlib1g-dev (it was a dependency of GnuTLS)
    * Changed the Make parameter from gnutls=true to gcrypt=true for coherence
    * Fixes FTBFS on non SSE2 archs (Closes: #680414)
  * Added 012-add-unittest-gcrypt.diff with unittests for double-ensuring that
    patch 011 works as expected on all architectures.
  * Tested sqlite support (Really closes: #610688) (Really closes: #600753)
  * Add 013-fix-hurd-ftbfs.diff (closes: #642698)
  * Add 014-man_page_formatting.diff (Closes: #570986)
  * Add 015-move_to_man8_admin_commands.diff (Closes: #570981)
  * Add 016-fix-ldflags.diff (fixes lintian warning)
  * Add 017-fix-bigendianissues.diff (fixes aircrack-ng on bigendian archs)
  * Update DEP-3 headers on patches {004,005,006,009,010}
  * Refresh patches {005,010}
  * Updated MAC:Vendor mappings (airodump-ng-oui.txt)
  * Updated README.Debian
  * Updated debian/copyright to reflect copyright of patches that introduced
    new files.
  * Simplify debian/rules by using makeflags

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Fri, 27 Jul 2012 19:22:23 +0200

aircrack-ng (1:1.1-3) unstable; urgency=low

  * Summarize the changes introduced on (1:1.1-2) and document how
    to rebuild the package with OpenSSL on file README.Debian

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Mon, 18 Jun 2012 12:13:13 +0200

aircrack-ng (1:1.1-2) unstable; urgency=low

  * New mantainer.
  * Re-upload to unstable (Closes: #642934)
  * Rework debian/*
    Switch debian/rules to dh.
    Switch debian/copyright to machine-readable.
    Add DEP-3 headers to debian/patches/*
  * Remove injection patches from package files. airdriver-ng downloads
    this patches from Internet, so is not needed at all to have
    this files on the package.
  * Include initial pre-downloaded file airodump-ng-oui.txt on package.
  * Add hardening flags.
  * Compile with sqlite support (Closes: #610688) (Closes: #600753)
  * Add 004-fix-license-issues.diff (cherry-pick from svn).
    Fixes copyright issues with src/sha1-sse2.* (Closes: #588588)
  * Add 005-fix-issues-cppcheck-r2008.patch (cherry-pick from svn).
    Fix issues on the code found by cppcheck.
  * Add 006-fix-ftbfs-and-man-path.patch (cherry-pick from svn).
    Fix FTBFS with gcc>=4.6 and fix manpage path.
  * Add 007-Add-support-for-GnuTLS.patch
    Add support for GnuTLS and link against GnuTLS.
    Fix issues with GPL and OpenSSL licenses.
  * Add 008-fix_path_airodump-ng-oui.patch.
    Fix paths to file airodump-ng-oui.txt on airodump-ng and script
    airodump-ng-oui-update.
  * Add 009-airodump-ng-oui-update-manpage.patch (cherry-pick from svn).
    Include manpage for script airodump-ng-oui-update.
  * Add 010-add-freebsd-support.patch
    Add support for GNU/kFreeBSD (Closes: #642698)
  * Update Standards-Version to 3.9.2

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 16 Jun 2012 22:22:22 +0200

aircrack-ng (1:1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS on sparc due to incorrect detection of Solaris OS
   (closes: #590765).

 -- Giovanni Mascellani <gio@debian.org>  Sat, 02 Oct 2010 19:23:51 +0200

aircrack-ng (1:1.1-1) unstable; urgency=low

  * New upstream release (Closes: #582658):
    - Fix a buffer overflow (Closes: #577758),
    - Fix compilation errors (Closes: #546312).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.8.4.
  * Add missing ${misc:Depends}.
  * Fix airodump-ng manpage (Closes: #570982).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 31 May 2010 18:34:37 +0200

aircrack-ng (1:1.0-1) unstable; urgency=low

  * New upstream release (Closes: #546312).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 27 Sep 2009 17:10:42 +0200

aircrack-ng (1:1.0~rc4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3.
  * Add README.source.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 28 Aug 2009 22:18:13 +0200

aircrack-ng (1:1.0~rc3-2) unstable; urgency=low

  * Build and install "unstable" tools like wessid-ng and eassid-ng
    (Closes: #527950).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 11 May 2009 16:03:50 +0200

aircrack-ng (1:1.0~rc3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version.
  * Drop 001-64bits_assembly_fixes patch, fixed upstream.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 31 Mar 2009 09:34:57 +0200

aircrack-ng (1:1.0~rc2-1) unstable; urgency=low

  * New upstream release (Closes: #512924).
  * Do not ship iw anymore, it now has its own package (Closes: #499246).
  * Update debian/copyright.
  * Apply upstream patch to fix assembly code on amd64.
  * Bump debhelper b-dep.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 10 Mar 2009 21:38:26 +0100

aircrack-ng (1:1.0~rc1-2) unstable; urgency=low

  * Includes "iw" tool which is needed for mac80211 (Closes: #490083).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 09 Jul 2008 21:06:56 +0200


