=== debian/control ===
Source: aircrack-ng
Section: net
Priority: optional
Maintainer: Carlos Alberto Lopez Perez <clopez@igalia.com>
Homepage: http://www.aircrack-ng.org/
Build-Depends: debhelper (>= 8.0.0), libpcap0.8-dev, libgcrypt11-dev,
 libsqlite3-dev (>= 3.4), zlib1g-dev, python (>= 2.6.6-3~),
 hardening-includes
Standards-Version: 3.9.3

Package: aircrack-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wireless-tools [linux-any],
 iw [linux-any]
Recommends: wget
Description: wireless WEP/WPA cracking utilities
 aircrack-ng is an 802.11a/b/g WEP/WPA cracking program that can recover a
 40-bit, 104-bit, 256-bit or 512-bit WEP key once enough encrypted packets
 have been gathered. Also it can attack WPA1/2 networks with some advanced
 methods or simply by brute force.
 .
 It implements the standard FMS attack along with some optimizations,
 thus making the attack much faster compared to other WEP cracking tools.
 It can also fully use a multiprocessor system to its full power in order
 to speed up the cracking process.
 .
 aircrack-ng is a fork of aircrack, as that project has been stopped by
 the upstream maintainer.
