=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make
DEB_BUILD_HARDENING_PIE:=0
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS+=$(HARDENING_CFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS)
MAKEFLAGS=gcrypt=true sqlite=true unstable=true
export CFLAGS
export LDFLAGS
export MAKEFLAGS

%:
	dh $@ --with=python2

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/aircrack-ng prefix=/usr
