=== debian/watch ===
version=3
http://download.aircrack-ng.org/aircrack-ng-(.*)\.tar\.gz
