## aircrack-ng 1.1-maemo1

=== debian/changelog ===
aircrack-ng (1.1-maemo1) unstable; urgency=low

  * debian/changelog

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Tue, 24 May 2011 18:42:37 -0400

aircrack-ng (1.0-3) stable; urgency=low

  * Optified

 -- Gregory DOUGUET <backseatgreg@googlemail.com>  Tue, 31 Dec 2009 21:03:35 +0100

aircrack-ng (1.0-2) stable; urgency=low

  * Updated binaries location and description in deb package

 -- Gregory DOUGUET <backseatgreg@googlemail.com>  Wed, 16 Dec 2009 09:14:35 +0100

aircrack-ng (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Gregory DOUGUET <backseatgreg@googlemail.com>  Sun, 13 Dec 2009 14:28:42 +0100
